---@meta

---@class ABP_Vehicle_Winnebago_01_C : ABP_VehicleBase_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field windowfluff UStaticMeshComponent
---@field Scene USceneComponent
---@field BPC_DumbestShitEver UBPC_DumbestShitEver_C
---@field SkeletalMesh USkeletalMeshComponent
---@field TapePlayer UChildActorComponent
---@field AudioTriggerBox UBoxComponent
---@field PawnCollider UStaticMeshComponent
---@field Wheel_FR UVehicle_Wheel_C
---@field Wheel_FL UVehicle_Wheel_C
---@field Wheel_RR UVehicle_Wheel_C
---@field Wheel_RL UVehicle_Wheel_C
---@field Vehicle_CenterOfMass UVehicle_CenterOfMass_C
---@field TruckParts_Start_Map TMap<FName, TSubclassOf<ABP_Interactable_TruckPart_01_C>>
---@field CurrentAttachedActors TArray<AActor>
---@field HitClasses TArray<TSubclassOf<AActor>>
---@field TruckParts_ScrewedDown TArray<TSubclassOf<ABP_Interactable_TruckPart_01_C>>
---@field CurrentShieldHealth int32
---@field AttachPointsToolMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field AttachPointsMapMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field AttachPointsDrinkMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field BaseShieldHealth int32
---@field DamageSettings_Crash FST_Damage_Settings
---@field RepairableSocketNames TArray<FName>
---@field RepairableSocketTruckParts TArray<ABP_Interactable_TruckPart_01_C>
---@field RepairableSocketDefaultStaticMeshes TArray<UStaticMesh>
---@field RepairTruckPartColors TArray<FLinearColor>
---@field AttachPointsShelfMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field DestroyedDamageThreshold int32
---@field CurrentDamage TArray<FTagIntPair>
---@field RelevantVolumeBus USoundControlBus
---@field RelevantLowpassBus USoundControlBus
---@field GameTimeSinceImpact double
---@field OffsetGameTimeOnImpact double
---@field ImpactForceThreshold double
---@field AttachPointsShelfSmallMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field AttachPointsTruckRoofMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field CasettePlayerVolumeBus USoundControlBus
---@field CassettePlayerLowPassBus USoundControlBus
---@field LoadedDestroyedParts TArray<FName>
---@field PrevShieldHealth int32
---@field TrackedPositions TArray<FVector>
---@field PreviousPosition FVector
---@field AttachPointsTruckPlankHolderMap TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field StartingCheckpoint ABP_CheckPoint_C
---@field AttachPointsTruckGloveBox TMap<FName, TSubclassOf<ABP_Interactable_Actor_C>>
---@field TargetDownwardForce double
---@field AppliedDownwardForce double
local ABP_Vehicle_Winnebago_01_C = {}

---@param OutLocation FVector
---@param OutRotation FRotator
function ABP_Vehicle_Winnebago_01_C:GetVoiceLocation(OutLocation, OutRotation) end
function ABP_Vehicle_Winnebago_01_C:SpawnTruckGloveBoxAttachPoints() end
function ABP_Vehicle_Winnebago_01_C:HandleDebugWinchRopePoints() end
function ABP_Vehicle_Winnebago_01_C:OnVehicleDestroyed() end
function ABP_Vehicle_Winnebago_01_C:CheckIfVehicleIsDestroyed() end
function ABP_Vehicle_Winnebago_01_C:OnRep_CurrentDamage() end
function ABP_Vehicle_Winnebago_01_C:SpawnTruckPlankHolderAttachPoints() end
---@param DeltaTime double
function ABP_Vehicle_Winnebago_01_C:AddDownwardForceInAir(DeltaTime) end
function ABP_Vehicle_Winnebago_01_C:ApplyOptions() end
function ABP_Vehicle_Winnebago_01_C:SpawnWheelBackAttachPoint() end
function ABP_Vehicle_Winnebago_01_C:SpawnWheelAttachPoints() end
---@param Actor AActor
function ABP_Vehicle_Winnebago_01_C:UpdateOutsideRelevantControlBusMixesOnChange(Actor) end
---@param Actor AActor
function ABP_Vehicle_Winnebago_01_C:UpdateInsideRelevantControlBusMixesOnChange(Actor) end
---@param Driver ARGFirstPersonCharacter
function ABP_Vehicle_Winnebago_01_C:TryGetDriver(Driver) end
function ABP_Vehicle_Winnebago_01_C:OnRep_CurrentShieldHealth() end
function ABP_Vehicle_Winnebago_01_C:RecalculateShieldHealth() end
---@param SocketName FName
---@param ShouldSpawn boolean
function ABP_Vehicle_Winnebago_01_C:ShouldSpawnTruckPart(SocketName, ShouldSpawn) end
function ABP_Vehicle_Winnebago_01_C:DebugAttachments() end
function ABP_Vehicle_Winnebago_01_C:Cheat_DestroyAllScrewedDownTruckParts() end
function ABP_Vehicle_Winnebago_01_C:Cheat_DestroyAllNonScrewedDownTruckParts() end
---@param ShieldValue double
---@param ShieldHealth int32
---@param DamageTypes TArray<FGameplayTag>
---@param Damages TArray<int32>
function ABP_Vehicle_Winnebago_01_C:GetVehicleHealth(ShieldValue, ShieldHealth, DamageTypes, Damages) end
---@param FadeTime double
function ABP_Vehicle_Winnebago_01_C:ClearInsideCassettePlayerControlBusMix(FadeTime) end
---@param VolumeValue double
---@param LowPassValue double
---@param FadeTime double
function ABP_Vehicle_Winnebago_01_C:SetInsideCassetPlayerControlBusMix(VolumeValue, LowPassValue, FadeTime) end
function ABP_Vehicle_Winnebago_01_C:Cheat_DetachAllParts() end
function ABP_Vehicle_Winnebago_01_C:SpawnTruckRoofAttachPoints() end
function ABP_Vehicle_Winnebago_01_C:SpawnShelfSmallAttachPoints() end
function ABP_Vehicle_Winnebago_01_C:Cheat_DetachRandomPart() end
---@param ImpactForce double
---@param ImpactPoint FVector
function ABP_Vehicle_Winnebago_01_C:PlaySoundOnImpact(ImpactForce, ImpactPoint) end
---@param Wheel UPrimitiveComponent
---@param NewPhysMaterial UPhysicalMaterial
function ABP_Vehicle_Winnebago_01_C:SetWheelPhysMat(Wheel, NewPhysMaterial) end
---@param VolumeValue double
---@param LowPassValue double
---@param FadeTime double
function ABP_Vehicle_Winnebago_01_C:SetInsideVehicleControlBusMix(VolumeValue, LowPassValue, FadeTime) end
---@param FadeTime double
function ABP_Vehicle_Winnebago_01_C:ClearInsideVehicleControlBusMix(FadeTime) end
---@param Actor AActor
---@param LocallyControlled boolean
function ABP_Vehicle_Winnebago_01_C:IsActorLocallyControlled(Actor, LocallyControlled) end
---@param CurrentShieldHealth int32
---@param TotalDamage int32
function ABP_Vehicle_Winnebago_01_C:Debug_GetDamage(CurrentShieldHealth, TotalDamage) end
---@param IsDestroyed boolean
function ABP_Vehicle_Winnebago_01_C:IsVehicleDestroyed(IsDestroyed) end
function ABP_Vehicle_Winnebago_01_C:SpawnShelfAttachPoints() end
---@param Wheel UVehicle_Wheel_C
---@param Success boolean
---@param WheelTag FGameplayTag
function ABP_Vehicle_Winnebago_01_C:GetWheelTag(Wheel, Success, WheelTag) end
---@param DamageType FGameplayTag
---@param Damage int32
function ABP_Vehicle_Winnebago_01_C:TakeWheelDamage(DamageType, Damage) end
---@param DamageType FGameplayTag
---@param Success boolean
function ABP_Vehicle_Winnebago_01_C:DetachWheelBasedOnDamageType(DamageType, Success) end
---@param DamageToRepair FST_Damage_Results
---@param Success boolean
function ABP_Vehicle_Winnebago_01_C:RepairDamage(DamageToRepair, Success) end
---@param SocketName FName
---@param Success boolean
function ABP_Vehicle_Winnebago_01_C:RepairShield(SocketName, Success) end
---@param HitIndexes TArray<int32>
---@param TotalShielded int32
---@param DamageType TArray<FGameplayTag>
---@param Damage TArray<int32>
function ABP_Vehicle_Winnebago_01_C:Internal_UpdateHealth(HitIndexes, TotalShielded, DamageType, Damage) end
---@param BaseShieldHealth int32
function ABP_Vehicle_Winnebago_01_C:Internal_InitializeShieldHealth(BaseShieldHealth) end
function ABP_Vehicle_Winnebago_01_C:SpawnDrinkAttachPoints() end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function ABP_Vehicle_Winnebago_01_C:GetPhysicsMesh(Success, PrimitiveComponent) end
function ABP_Vehicle_Winnebago_01_C:SpawnMapAttachPoints() end
function ABP_Vehicle_Winnebago_01_C:SpawnToolAttachPoints() end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function ABP_Vehicle_Winnebago_01_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
function ABP_Vehicle_Winnebago_01_C:Start_Spawn_All_TruckParts() end
function ABP_Vehicle_Winnebago_01_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function ABP_Vehicle_Winnebago_01_C:ReceiveTick(DeltaSeconds) end
---@param HitComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param NormalImpulse FVector
---@param Hit FHitResult
function ABP_Vehicle_Winnebago_01_C:BndEvt__BP_Vehicle_Winnebago_01_VehicleMesh_K2Node_ComponentBoundEvent_0_ComponentHitSignature__DelegateSignature(HitComponent, OtherActor, OtherComp, NormalImpulse, Hit) end
---@param HitIndexes TArray<int32>
---@param TotalShielded int32
---@param DamageType TArray<FGameplayTag>
---@param Damage TArray<int32>
function ABP_Vehicle_Winnebago_01_C:Multicast_UpdateHealth(HitIndexes, TotalShielded, DamageType, Damage) end
---@param DeltaTime float
function ABP_Vehicle_Winnebago_01_C:PassiveTickBP(DeltaTime) end
---@param BaseShieldHealth int32
function ABP_Vehicle_Winnebago_01_C:MultiCast_InitializeShieldHealth(BaseShieldHealth) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
---@param bFromSweep boolean
---@param SweepResult FHitResult
function ABP_Vehicle_Winnebago_01_C:BndEvt__BP_Vehicle_Winnebago_01_AudioTriggerBox_K2Node_ComponentBoundEvent_1_ComponentBeginOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex, bFromSweep, SweepResult) end
---@param OverlappedComponent UPrimitiveComponent
---@param OtherActor AActor
---@param OtherComp UPrimitiveComponent
---@param OtherBodyIndex int32
function ABP_Vehicle_Winnebago_01_C:BndEvt__BP_Vehicle_Winnebago_01_AudioTriggerBox_K2Node_ComponentBoundEvent_2_ComponentEndOverlapSignature__DelegateSignature(OverlappedComponent, OtherActor, OtherComp, OtherBodyIndex) end
---@param SaveGameObject URGSaveGame
function ABP_Vehicle_Winnebago_01_C:StaticSave(SaveGameObject) end
---@param SaveGameObject URGSaveGame
function ABP_Vehicle_Winnebago_01_C:StaticLoad(SaveGameObject) end
function ABP_Vehicle_Winnebago_01_C:UpdateControlBusMixesOnChange() end
function ABP_Vehicle_Winnebago_01_C:TryTrackPosition() end
---@param Wheel UVehicle_Wheel_C
function ABP_Vehicle_Winnebago_01_C:Multicast_DetachWheel(Wheel) end
---@param Repair boolean
function ABP_Vehicle_Winnebago_01_C:UpdateShieldBarWidget(Repair) end
---@param Sound USoundBase
---@param PlayAttached boolean
---@param SceneComponent USceneComponent
---@param Location FVector
function ABP_Vehicle_Winnebago_01_C:Multicast_PlayWinnebagoDamageEffect(Sound, PlayAttached, SceneComponent, Location) end
---@param EntryPoint int32
function ABP_Vehicle_Winnebago_01_C:ExecuteUbergraph_BP_Vehicle_Winnebago_01(EntryPoint) end


